<?php
/**
 * ${CARET}
 * @file:NoitceService.php
 * @Created by gnitif
 * @Date: 2023/3/27
 * @Time: 11:54
 */


namespace Modules\Channel\Services\User;

use Modules\Channel\Models\Users;

class UserService {


    public static function listByRole(string $identify, array $field){
        return Users::join('user_has_roles','user_has_roles.user_id','=','users.id')
        ->join('roles','roles.id','=','user_has_roles.role_id')
        ->where('roles.identify',$identify)
        ->select($field)
        ->get();
    }


    public static function getUserInfo(int $uid,array $field){
        return Users::join('user_has_roles','user_has_roles.user_id','=','users.id')
        ->join('roles','roles.id','=','user_has_roles.role_id')
        ->where('users.id',$uid)
        ->select($field)
        ->first();
    }

}