<?php

namespace Tests\Feature;

use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Tests\TestCase;

class MiniprogramTest extends TestCase
{
    /**
     * php artisan test --testsuite=Feature
     * A basic feature test example.
     */
    public function test_example(): void
    {
        $response = $this->getJson('/api/manage/miniprogram/allocation/13');
        //$response = $this->getJson('/api/manage/miniprogram/index');

        echo $response->getContent();
    }


    public function ttest_store(): void
    {
        $response = $this->postJson('/api/manage/miniprogram/update/13',[
            'name'=>'三个十千短剧',
            'company'=>'三个三集团',
            'play_name'=>'三个十千短剧',
            'type'=>1,
            'appid'=>'wxts5415641fgtjhuswsae13',
            'appsecret'=>'2f659djhsjsfa256b5523ta1shqa3d313',
            'status'=>1,
            'remark'=>''
        ]);

        $response->dd();
    }


    public function test_allocation(): void
    {
        $response = $this->postJson('/api/manage/miniprogram/allocation/13',[
            'uids'=>'5,6,7'
        ]);

        $response->dd();
    }


    public function ttest_index(): void
    {
        $name = '亿';
        $response = $this->getJson('/api/manage/miniprogram/index?name='.$name);

        $response->dd();
    }
}
